<style type="text/css">
  .mobile-banner, .desktop-banner{
    display: none;
  }
  /* Media Query for Mobile Devices */
        @media (max-width: 480px) {
            .mobile-banner {
              display: block;
            }
            .desktop-banner {
              display: none;
            }
        }
          
        /* Media Query for low resolution  Tablets, Ipads */
        @media (min-width: 481px) and (max-width: 767px) {
            .mobile-banner {
              display: block;
            }
            .desktop-banner {
              display: none ;
            }
        }
          
        /* Media Query for Tablets Ipads portrait mode */
        @media (min-width: 768px) and (max-width: 1024px){
            .mobile-banner {
              display: block;
            }
            .desktop-banner {
              display: none ;
            }
        }
          
        /* Media Query for Laptops and Desktops */
        @media (min-width: 1025px) and (max-width: 1280px){
            .mobile-banner {
              display: none ;
            }
            .desktop-banner {
              display: block;
            }
        }
          
        /* Media Query for Large screens */
        @media (min-width: 1281px) {
            .mobile-banner {
              display: none;
            }
            .desktop-banner {
              display: block;
            }
        }
</style>
<?php

use Mageplaza\BannerSlider\Model\Config\Source\Type;

$banners = $block->getBannerCollection();
$banners_desktop =  $block->getBannerCollectionDesktop();
$banners_mobile =  $block->getBannerCollectionMobile();

if(count($banners_mobile) == 0){
    $banners_mobile = $banners;
}
$check   = is_array($banners) ? !empty($banners) : $banners->getSize();
if ($check): ?>
    <?php
    $sliderId      = $block->getSliderId() . uniqid('-', false);
    $sliderOptions = $block->getBannerOptions(); ?>
<div class="desktop-banner">
  <div id="myCarousel1" class="carousel slide" data-ride="carousel">
    <!-- Indicators -->
    <ol class="carousel-indicators">
      <?php for ($i=0; $i < count($banners_desktop); $i++) { ?>
         <?php if($i == 0){ ?>
      <li data-target="#myCarousel1" data-slide-to="<?php echo $i; ?>" class="active"></li>
    <?php }else{ ?>
      <li data-target="#myCarousel1" data-slide-to="<?php echo $i; ?>" ></li>
  <?php } ?>
      <?php } ?>
     
    </ol>

    <!-- Wrapper for slides -->
    <div class="carousel-inner">
      <?php $m=0; $classImg=''; foreach ($banners_desktop as $banner): ?>
       <?php
                        $bnType  = $banner->getType();
                        $bnTitle = $banner->getTitle();
                        $bnUrl   = $banner->getUrlBanner();
                        $bnImg   = $banner->getImageUrl();
                        ?>
      <?php 
        if($m == 0){ 
          $classImg='active';
        }else{
          $classImg='';
        }
      ?>
      <div class="item <?php echo $classImg; ?>">
        <a class="owl-image" href="<?= $block->escapeUrl($bnUrl) ?>" <?= /* @noEscape */ ($banner->getNewtab() === '1') ? 'target="_blank"' : '' ?>>
          <img class="img-responsive" src="<?= $block->escapeUrl($bnImg) ?>" alt="<?= $block->escapeHtml($bnTitle) ?>">
        </a>
      </div>
      <?php $m++; endforeach; ?>
    </div>
  </div>
</div>

<div class="mobile-banner">
  <div id="myCarousel2" class="carousel slide" data-ride="carousel">
    <!-- Indicators -->
    <ol class="carousel-indicators">
      <?php for ($i=0; $i < count($banners_mobile); $i++) { ?>        
      <?php if($i == 0){ ?>
      <li data-target="#myCarousel2" data-slide-to="<?php echo $i; ?>" class="active"></li>
    <?php }else{ ?>
      <li data-target="#myCarousel2" data-slide-to="<?php echo $i; ?>" ></li>
  <?php } ?>
<?php } ?>
    </ol>

    <!-- Wrapper for slides -->
    <div class="carousel-inner">
      <?php $m=0; $classImg=''; foreach ($banners_mobile as $banner): ?>
       <?php
                        $bnType  = $banner->getType();
                        $bnTitle = $banner->getTitle();
                        $bnUrl   = $banner->getUrlBanner();
                        $bnImg   = $banner->getImageUrl();
                        ?>
      <?php 
        if($m == 0){ 
          $classImg='active';
        }else{
          $classImg='';
        }
      ?>
      <div class="item <?php echo $classImg; ?>">
        <a class="owl-image" href="<?= $block->escapeUrl($bnUrl) ?>" <?= /* @noEscape */ ($banner->getNewtab() === '1') ? 'target="_blank"' : '' ?>>
          <img class="img-responsive" src="<?= $block->escapeUrl($bnImg) ?>" alt="<?= $block->escapeHtml($bnTitle) ?>">
        </a>
      </div>
      <?php $m++; endforeach; ?>
    </div>
  </div>
</div>
<?php endif; ?>
